/*
 *	swStringDefs.h
 */

#ifndef __SWSTRINGDEFS_H
#define __SWSTRINGDEFS_H

#ifdef __cplusplus
extern "C" {
#endif
    
#define _(x) spGetString(x)
    
#define SW_MENU_FILE_LABEL_ID "SW_MENU_FILE_LABEL"
#define SW_MENU_OPEN_LABEL_ID "SW_MENU_OPEN_LABEL"
#define SW_MENU_SAVE_LABEL_ID "SW_MENU_SAVE_LABEL"
#define SW_MENU_CLOSE_LABEL_ID "SW_MENU_CLOSE_LABEL"
#define SW_MENU_QUIT_LABEL_ID "SW_MENU_QUIT_LABEL"
    
#define SW_MENU_PAGE_LABEL_ID "SW_MENU_PAGE_LABEL"
#define SW_MENU_FORWARD_LABEL_ID "SW_MENU_FORWARD_LABEL"
#define SW_MENU_BACKWARD_LABEL_ID "SW_MENU_BACKWARD_LABEL"
#define SW_MENU_GO_HEAD_LABEL_ID "SW_MENU_GO_HEAD_LABEL"
#define SW_MENU_GO_TAIL_LABEL_ID "SW_MENU_GO_TAIL_LABEL"
#define SW_MENU_PREV_WINDOW_LABEL_ID "SW_MENU_PREV_WINDOW_LABEL"
#define SW_MENU_NEXT_WINDOW_LABEL_ID "SW_MENU_NEXT_WINDOW_LABEL"
#define SW_MENU_ALIGN_WINDOW_LABEL_ID "SW_MENU_ALIGN_WINDOW_LABEL"
#define SW_MENU_SELECT_ALL_LABEL_ID "SW_MENU_SELECT_ALL_LABEL"
#define SW_MENU_SELECT_REGION_LABEL_ID "SW_MENU_SELECT_REGION_LABEL"
#define SW_MENU_SELECT_ALL_REGION_LABEL_ID "SW_MENU_SELECT_ALL_REGION_LABEL"
#define SW_MENU_SELECT_NEXT_CHANNEL_LABEL_ID "SW_MENU_SELECT_NEXT_CHANNEL_LABEL"
#define SW_MENU_SELECT_FROM_HERE_LABEL_ID "SW_MENU_SELECT_FROM_HERE_LABEL"
#define SW_MENU_SELECT_TO_HERE_LABEL_ID "SW_MENU_SELECT_TO_HERE_LABEL"
    
#define SW_MENU_VIEW_LABEL_ID "SW_MENU_VIEW_LABEL"
#define SW_MENU_ZOOM_IN_LABEL_ID "SW_MENU_ZOOM_IN_LABEL"
#define SW_MENU_ZOOM_OUT_LABEL_ID "SW_MENU_ZOOM_OUT_LABEL"
#define SW_MENU_ZOOM_FULL_OUT_LABEL_ID "SW_MENU_ZOOM_FULL_OUT_LABEL"
#define SW_MENU_ZOOM_REGION_LABEL_ID "SW_MENU_ZOOM_REGION_LABEL"
#define SW_MENU_ZOOM_IN_AMPLITUDE_LABEL_ID "SW_MENU_ZOOM_IN_AMPLITUDE_LABEL"
#define SW_MENU_ZOOM_OUT_AMPLITUDE_LABEL_ID "SW_MENU_ZOOM_OUT_AMPLITUDE_LABEL"
#define SW_MENU_ZOOM_FULL_OUT_AMPLITUDE_LABEL_ID "SW_MENU_ZOOM_FULL_OUT_AMPLITUDE_LABEL"
#define SW_MENU_ALIGN_AMPLITUDE_LABEL_ID "SW_MENU_ALIGN_AMPLITUDE_LABEL"
#define SW_MENU_DISPLAY_INFO_AREA_LABEL_ID "SW_MENU_DISPLAY_INFO_AREA_LABEL"
#define SW_MENU_DRAW_DETAIL_LABEL_ID "SW_MENU_DRAW_DETAIL_LABEL"
#define SW_MENU_DRAW_LABEL_LABEL_ID "SW_MENU_DRAW_LABEL_LABEL"
#define SW_MENU_SPECTROGRAM_LABEL_ID "SW_MENU_SPECTROGRAM_LABEL"
#define SW_MENU_NO_SPECTROGRAM_LABEL_ID "SW_MENU_NO_SPECTROGRAM_LABEL"
#define SW_MENU_WIDE_SPECTROGRAM_LABEL_ID "SW_MENU_WIDE_SPECTROGRAM_LABEL"
#define SW_MENU_NARROW_SPECTROGRAM_LABEL_ID "SW_MENU_NARROW_SPECTROGRAM_LABEL"
#define SW_MENU_NARROW_SMOOTHED_SPECTROGRAM_LABEL_ID "SW_MENU_NARROW_SMOOTHED_SPECTROGRAM_LABEL"
#define SW_MENU_UPDATE_SPECTROGRAM_LABEL_ID "SW_MENU_UPDATE_SPECTROGRAM_LABEL"
#define SW_MENU_SPECTROGRAM_DIALOG_LABEL_ID "SW_MENU_SPECTROGRAM_DIALOG_LABEL"
    
#define SW_MENU_ANALYSIS_SUBPLOT_LABEL_ID "SW_MENU_ANALYSIS_SUBPLOT_LABEL"
#define SW_MENU_ANALYSIS_SUBPLOT_SPECTROGRAM_LABEL_ID "SW_MENU_ANALYSIS_SUBPLOT_SPECTROGRAM_LABEL"
#define SW_MENU_ANALYSIS_SUBPLOT_F0_LABEL_ID "SW_MENU_ANALYSIS_SUBPLOT_F0_LABEL"
#define SW_MENU_ANALYSIS_SUBPLOT_POWER_LABEL_ID "SW_MENU_ANALYSIS_SUBPLOT_POWER_LABEL"
#define SW_MENU_ANALYSIS_SUBPLOT_APERIODICITY_LABEL_ID "SW_MENU_ANALYSIS_SUBPLOT_APERIODICITY_LABEL"
#define SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_SPECGRAM_LABEL_ID "SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_SPECGRAM_LABEL"
#define SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_F0_LABEL_ID "SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_F0_LABEL"
    
#define SW_MENU_EDIT_LABEL_ID "SW_MENU_EDIT_LABEL"
#define SW_MENU_UNDO_LABEL_ID "SW_MENU_UNDO_LABEL"
#define SW_MENU_REDO_LABEL_ID "SW_MENU_REDO_LABEL"
#define SW_MENU_CUT_LABEL_ID "SW_MENU_CUT_LABEL"
#define SW_MENU_COPY_LABEL_ID "SW_MENU_COPY_LABEL"
#define SW_MENU_CLIPBOARD_WINDOW_LABEL_ID "SW_MENU_CLIPBOARD_WINDOW_LABEL"
#define SW_MENU_CROP_LABEL_ID "SW_MENU_CROP_LABEL"
#define SW_MENU_DELETE_LABEL_ID "SW_MENU_DELETE_LABEL"
#define SW_MENU_ERASE_LABEL_ID "SW_MENU_ERASE_LABEL"
#define SW_MENU_EXTRACT_LABEL_ID "SW_MENU_EXTRACT_LABEL"
#define SW_MENU_EXTRACT_AUTOSAVE_LABEL_ID "SW_MENU_EXTRACT_AUTOSAVE_LABEL"
#define SW_MENU_SAVE_BY_NORMAL_LABEL_LABEL_ID "SW_MENU_SAVE_BY_NORMAL_LABEL_LABEL"
#define SW_MENU_SAVE_BY_REGION_LABEL_LABEL_ID "SW_MENU_SAVE_BY_REGION_LABEL_LABEL"
#define SW_MENU_INVERT_LABEL_ID "SW_MENU_INVERT_LABEL"
#define SW_MENU_AMPLIFY_LABEL_ID "SW_MENU_AMPLIFY_LABEL"
#define SW_MENU_NORMALIZE_LABEL_ID "SW_MENU_NORMALIZE_LABEL"
#define SW_MENU_FADE_IN_LABEL_ID "SW_MENU_FADE_IN_LABEL"
#define SW_MENU_FADE_OUT_LABEL_ID "SW_MENU_FADE_OUT_LABEL"
#define SW_MENU_CHANNEL_SWAP_LABEL_ID "SW_CHANNEL_SWAP_LABEL"
    
#define SW_MENU_MAXIMIZE_LABEL_ID "SW_MENU_MAXIMIZE_LABEL"
#define SW_MENU_SAMP_RATE_CONV_LABEL_ID "SW_MENU_SAMP_RATE_CONV_LABEL"
#define SW_MENU_CHANNEL_CONV_LABEL_ID "SW_MENU_CHANNEL_CONV_LABEL"
#define SW_MENU_BIT_CONV_LABEL_ID "SW_MENU_BIT_CONV_LABEL"
#define SW_MENU_MONAURALIZE_LABEL_ID "SW_MENU_MONAURALIZE_LABEL"
    
#define SW_MENU_CLIPBOARD_LABEL_ID "SW_MENU_CLIPBOARD_LABEL"
#define SW_MENU_PASTE_LABEL_ID "SW_MENU_PASTE_LABEL"
#define SW_MENU_INSERT_LABEL_ID "SW_MENU_INSERT_LABEL"
#define SW_MENU_CAT_LABEL_ID "SW_MENU_CAT_LABEL"
#define SW_MENU_CATTOP_LABEL_ID "SW_MENU_CATTOP_LABEL"
#define SW_MENU_MIX_LABEL_ID "SW_MENU_MIX_LABEL"
#define SW_MENU_REPLACE_LABEL_ID "SW_MENU_REPLACE_LABEL"
#define SW_MENU_INSERT_PAUSE_LABEL_ID "SW_MENU_INSERT_PAUSE_LABEL"
#define SW_MENU_CHANGE_VALUE_LABEL_ID "SW_MENU_CHANGE_VALUE_LABEL"

#define SW_MENU_HELP_LABEL_ID "SW_MENU_HELP_LABEL"
#define SW_MENU_DISPLAY_HELP_LABEL_ID "SW_MENU_DISPLAY_HELP_LABEL"
#define SW_MENU_INFO_LABEL_ID "SW_MENU_INFO_LABEL"
#define SW_MENU_PLUGIN_INFO_LABEL_ID "SW_MENU_PLUGIN_INFO_LABEL"
    
#define SW_MENU_SOUND_LABEL_ID "SW_MENU_SOUND_LABEL"
    
#define SW_MENU_PLAY_LABEL_ID "SW_MENU_PLAY_LABEL"
#define SW_MENU_PLAY_WINDOW_LABEL_ID "SW_MENU_PLAY_WINDOW_LABEL"
#define SW_MENU_PLAY_FILE_LABEL_ID "SW_MENU_PLAY_FILE_LABEL"
#define SW_MENU_RECORD_LABEL_ID "SW_MENU_RECORD_LABEL"
#define SW_MENU_PLAY_STOP_LABEL_ID "SW_MENU_PLAY_STOP_LABEL"
#define SW_MENU_LOOP_PLAY_LABEL_ID "SW_MENU_LOOP_PLAY_LABEL"
#define SW_MENU_SYNC_PLAY_LABEL_ID "SW_MENU_SYNC_PLAY_LABEL"
    
#define SW_MENU_PREFERENCE_LABEL_ID "SW_MENU_PREFERENCE_LABEL"
#define SW_MENU_INFO_DIALOG_LABEL_ID "SW_MENU_INFO_DIALOG_LABEL"
    
#define SW_MENU_OPEN_NEW_LABEL_ID "SW_MENU_OPEN_NEW_LABEL"
#define SW_MENU_SAVE_AS_LABEL_ID "SW_MENU_SAVE_AS_LABEL"
    
#define SW_MENU_OPEN_DESC_ID "SW_MENU_OPEN_DESC"
#define SW_MENU_OPEN_NEW_DESC_ID "SW_MENU_OPEN_NEW_DESC"
#define SW_MENU_SAVE_DESC_ID "SW_MENU_SAVE_DESC"
#define SW_MENU_SAVE_AS_DESC_ID "SW_MENU_SAVE_AS_DESC"
    
#define SW_OPEN_DIALOG_TITLE_ID "SW_OPEN_DIALOG_TITLE"
#define SW_SAVE_DIALOG_TITLE_ID "SW_SAVE_DIALOG_TITLE"
    
#define SW_ERROR_TITLE_ID "SW_ERROR_TITLE"
#define SW_WARNING_TITLE_ID "SW_WARNING_TITLE"
#define SW_INFO_TITLE_ID "SW_INFO_TITLE"
    
#define SW_MENU_TIME_FORMAT_LABEL_ID "SW_MENU_TIME_FORMAT_LABEL"
#define SW_MENU_TIME_FORMAT_SEC_LABEL_ID "SW_MENU_TIME_FORMAT_SEC_LABEL"
#define SW_MENU_TIME_FORMAT_MSEC_LABEL_ID "SW_MENU_TIME_FORMAT_MSEC_LABEL"
#define SW_MENU_TIME_FORMAT_POINT_LABEL_ID "SW_MENU_TIME_FORMAT_POINT_LABEL"
#define SW_MENU_TIME_FORMAT_SEPARATED_SEC_LABEL_ID "SW_MENU_TIME_FORMAT_SEPARATED_SEC_LABEL"
    
#define SW_MENU_PLAY_DESC_ID "SW_MENU_PLAY_DESC"
#define SW_MENU_LOOP_PLAY_DESC_ID "SW_MENU_LOOP_PLAY_DESC"
#define SW_MENU_SYNC_PLAY_DESC_ID "SW_MENU_SYNC_PLAY_DESC"
#define SW_MENU_PLAY_STOP_DESC_ID "SW_MENU_PLAY_STOP_DESC"
#define SW_MENU_FORWARD_DESC_ID "SW_MENU_FORWARD_DESC"
#define SW_MENU_BACKWARD_DESC_ID "SW_MENU_BACKWARD_DESC"
#define SW_MENU_GO_HEAD_DESC_ID "SW_MENU_GO_HEAD_DESC"
#define SW_MENU_GO_TAIL_DESC_ID "SW_MENU_GO_TAIL_DESC"
#define SW_MENU_ZOOM_IN_DESC_ID "SW_MENU_ZOOM_IN_DESC"
#define SW_MENU_ZOOM_OUT_DESC_ID "SW_MENU_ZOOM_OUT_DESC"
    
#define SW_EDIT_ERROR_MESSAGE_ID "SW_EDIT_ERROR_MESSAGE"
#define SW_REGION_ERROR_MESSAGE_ID "SW_REGION_ERROR_MESSAGE"
#define SW_DELETE_WHOLE_ERROR_MESSAGE_ID "SW_DELETE_WHOLE_ERROR_MESSAGE"
#define SW_PLAY_ERROR_MESSAGE_ID "SW_PLAY_ERROR_MESSAGE"
#define SW_PLAY_LONG_ERROR_MESSAGE_ID "SW_PLAY_LONG_ERROR_MESSAGE"
#define SW_LOOP_PLAY_SHORT_ERROR_MESSAGE_ID "SW_LOOP_PLAY_SHORT_ERROR_MESSAGE"

#define SW_CB_NOT_FOUND_ERROR_MESSAGE_ID "SW_CB_NOT_FOUND_ERROR_MESSAGE"
#define SW_CB_PROCESSING_ERROR_MESSAGE_ID "SW_CB_PROCESSING_ERROR_MESSAGE"
#define SW_CB_DIFFERENT_CHANNEL_ERROR_MESSAGE_ID "SW_CB_DIFFERENT_CHANNEL_ERROR_MESSAGE"
#define SW_CB_DIFFERENT_SAMP_RATE_ERROR_MESSAGE_ID "SW_CB_DIFFERENT_SAMP_RATE_ERROR_MESSAGE"
    
#define SW_ANALYSIS_ERROR_MESSAGE_ID "SW_ANALYSIS_ERROR_MESSAGE"
#define SW_ANALYSIS_LONG_ERROR_MESSAGE_ID "SW_ANALYSIS_LONG_ERROR_MESSAGE"

#define SW_OPEN_ERROR_MESSAGE_ID "SW_OPEN_ERROR_MESSAGE"
#define SW_SAVE_ERROR_MESSAGE_ID "SW_SAVE_ERROR_MESSAGE"
#define SW_PLUGIN_ERROR_MESSAGE_ID "SW_PLUGIN_ERROR_MESSAGE"
#define SW_PLUGIN_NOT_FOUND_MESSAGE_ID "SW_PLUGIN_NOT_FOUND_MESSAGE"
#define SW_FORMAT_NOT_SUPPORTED_MESSAGE_ID "SW_FORMAT_NOT_SUPPORTED_MESSAGE"
#define SW_SAVE_FIRST_ERROR_MESSAGE_ID "SW_SAVE_FIRST_ERROR_MESSAGE"
#define SW_FILE_NOT_EXIST_ERROR_MESSAGE_ID "SW_FILE_NOT_EXIST_ERROR_MESSAGE"

#define SW_SUFFIX_ERROR_MESSAGE_ID "SW_SUFFIX_ERROR_MESSAGE"
#define SW_SAMP_BIT_ERROR_MESSAGE_ID "SW_SAMP_BIT_ERROR_MESSAGE"
#define SW_SAMP_RATE_ERROR_MESSAGE_ID "SW_SAMP_RATE_ERROR_MESSAGE"
#define SW_NUM_CHANNEL_ERROR_MESSAGE_ID "SW_NUM_CHANNEL_ERROR_MESSAGE"
#define SW_PARAMETER_ERROR_MESSAGE_ID "SW_PARAMETER_ERROR_MESSAGE"
#define SW_MULTIPLE_INSTANCE_ERROR_MESSAGE_ID "SW_MULTIPLE_INSTANCE_ERROR_MESSAGE"
    
#define SW_NO_LABEL_ERROR_MESSAGE_ID "SW_NO_LABEL_ERROR_MESSAGE"
#define SW_SAVE_BY_NORMAL_LABEL_TITLE_ID "SW_SAVE_BY_NORMAL_LABEL_TITLE"
#define SW_SAVE_BY_REGION_LABEL_TITLE_ID "SW_SAVE_BY_REGION_LABEL_TITLE"
#define SW_SBL_SAVE_DIR_LABEL_ID "SW_SBL_SAVE_DIR_LABEL"
#define SW_SBL_NAMING_RULE_NULL_LABEL_ERROR_MESSAGE_ID "SW_SBL_NAMING_RULE_NULL_LABEL_ERROR_MESSAGE"
#define SW_SBL_NAMING_RULE_LABEL_ID "SW_SBL_NAMING_RULE_LABEL"
#define SW_SBL_NAMING_LABEL_LABEL_ID "SW_SBL_NAMING_LABEL_LABEL"
#define SW_SBL_NAMING_DATA_LABEL_ID "SW_SBL_NAMING_DATA_LABEL"
#define SW_SBL_NAMING_ORIG_AND_LABEL_LABEL_ID "SW_SBL_NAMING_ORIG_AND_LABEL_LABEL"
#define SW_SBL_NAMING_ORIG_AND_DATA_LABEL_ID "SW_SBL_NAMING_ORIG_AND_DATA_LABEL"
#define SW_SBL_NAMING_AUTOSAVE_LABEL_ID "SW_SBL_NAMING_AUTOSAVE_LABEL"
#define SW_SBL_NAMING_SERIAL_LABEL_ID "SW_SBL_NAMING_SERIAL_LABEL"
#define SW_SBL_NAMING_EDGE_POINTS_LABEL_ID "SW_SBL_NAMING_EDGE_POINTS_LABEL"
#define SW_SBL_INDEX_FROM_1ST_LABEL_ID "SW_SBL_INDEX_FROM_1ST_LABEL"
#define SW_SBL_ILLEGAL_CHAR_TO_SPACE_LABEL_ID "SW_SBL_ILLEGAL_CHAR_TO_SPACE_LABEL"
#define SW_SBL_DATA_AS_FILENAME_LABEL_ID "SW_SBL_DATA_AS_FILENAME_LABEL"
#define SW_SBL_CREATE_WINDOW_LABEL_ID "SW_SBL_CREATE_WINDOW_LABEL"
    
#define SW_SAVE_CHANGES_QUESTION_TITLE_ID "SW_SAVE_CHANGES_QUESTION_TITLE"
#define SW_SAVE_CHANGES_QUESTION_MESSAGE_ID "SW_SAVE_CHANGES_QUESTION_MESSAGE"
#define SW_SAVE_LABEL_CHANGES_QUESTION_MESSAGE_ID "SW_SAVE_LABEL_CHANGES_QUESTION_MESSAGE"
#define SW_SAVE_REGION_LABEL_CHANGES_QUESTION_MESSAGE_ID "SW_SAVE_REGION_LABEL_CHANGES_QUESTION_MESSAGE"
#define SW_SAVE_ERROR_CLOSE_QUESTION_MESSAGE_ID "SW_SAVE_ERROR_CLOSE_QUESTION_MESSAGE"
#define SW_SAVE_ERROR_CONTINUE_QUESTION_MESSAGE_ID "SW_SAVE_ERROR_CONTINUE_QUESTION_MESSAGE"
    
#define SW_ERASE_LABEL_QUESTION_TITLE_ID "SW_ERASE_LABEL_QUESTION_TITLE"
#define SW_ERASE_LABEL_QUESTION_MESSAGE_ID "SW_ERASE_LABEL_QUESTION_MESSAGE"

#define SW_UNSUPPORTED_LABEL_QUESTION_TITLE_ID "SW_UNSUPPORTED_LABEL_QUESTION_TITLE"
#define SW_UNSUPPORTED_LABEL_QUESTION_MESSAGE_ID "SW_UNSUPPORTED_LABEL_QUESTION_MESSAGE"
#define SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_TITLE_ID "SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_TITLE"
#define SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_MESSAGE_ID "SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_MESSAGE"
#define SW_UNSUPPORTED_REGION_LABEL_QUESTION_TITLE_ID "SW_UNSUPPORTED_REGION_LABEL_QUESTION_TITLE"
#define SW_UNSUPPORTED_REGION_LABEL_QUESTION_MESSAGE_ID "SW_UNSUPPORTED_REGION_LABEL_QUESTION_MESSAGE"
    
#define SW_STOP_EDIT_QUESTION_MESSAGE_ID "SW_STOP_EDIT_QUESTION_MESSAGE"
#define SW_CLEAR_LABEL_QUESTION_MESSAGE_ID "SW_CLEAR_LABEL_QUESTION_MESSAGE"
#define SW_AUTOSAVE_CLEAR_LABEL_QUESTION_MESSAGE_ID "SW_AUTOSAVE_CLEAR_LABEL_QUESTION_MESSAGE"
#define SW_TIME_FORMAT_ERROR_MESSAGE_ID "SW_TIME_FORMAT_ERROR_MESSAGE"
#define SW_FIND_DATA_ERROR_MESSAGE_ID "SW_FIND_DATA_ERROR_MESSAGE"
#define SW_FIND_LABEL_NEAR_CURSOR_ERROR_MESSAGE_ID "SW_FIND_LABEL_NEAR_CURSOR_ERROR_MESSAGE"
#define SW_FIND_LABEL_REGION_ERROR_MESSAGE_ID "SW_FIND_LABEL_REGION_ERROR_MESSAGE"
#define SW_FIND_LABEL_ERROR_MESSAGE_ID "SW_FIND_LABEL_ERROR_MESSAGE"
#define SW_MAXIMUM_VALUE_TOO_SMALL_ERROR_MESSAGE_ID "SW_MAXIMUM_VALUE_TOO_SMALL_ERROR_MESSAGE"
#define SW_FIND_ACTIVE_LABEL_ERROR_MESSAGE_ID "SW_FIND_ACTIVE_LABEL_ERROR_MESSAGE"
    
#define SW_NEED_RESTART_WARNING_MESSAGE_ID "SW_NEED_RESTART_WARNING_MESSAGE"
#define SW_OVERFLOW_WARNING_MESSAGE_ID "SW_OVERFLOW_WARNING_MESSAGE"
#define SW_OVERFLOW_HAPPENED_WARNING_MESSAGE_ID "SW_OVERFLOW_HAPPENED_WARNING_MESSAGE"
#define SW_ASSUME_FLOAT_NORMALIZED_WARNING_MESSAGE_ID "SW_ASSUME_FLOAT_NORMALIZED_WARNING_MESSAGE"
#define SW_SAMP_RATE_CHANGED_WARNING_MESSAGE_ID "SW_SAMP_RATE_CHANGED_WARNING_MESSAGE"
#define SW_PROCESSING_WARNING_MESSAGE_ID "SW_PROCESSING_WARNING_MESSAGE"
    
#define SW_DISPLAY_HELP_ERROR_MESSAGE_ID "SW_DISPLAY_HELP_ERROR_MESSAGE"
#define SW_INFO_MESSAGE_ID "SW_INFO_MESSAGE"

#define SW_FORMAT_TITLE_ID "SW_FORMAT_TITLE"
#define SW_SAMP_RATE_LABEL_ID "SW_SAMP_RATE_LABEL"
#define SW_FORMAT_LABEL_ID "SW_FORMAT_LABEL"
#define SW_CHANNEL_LABEL_ID "SW_CHANNEL_LABEL"
#define SW_BIT_LABEL_ID "SW_BIT_LABEL"
#define SW_VALUE_LABEL_ID "SW_VALUE_LABEL"

#define SW_SELECTION_TAB_TITLE_ID "SW_SELECTION_TAB_TITLE"
#define SW_SELECTION_TAB_POINT_BOX_TITLE_ID "SW_SELECTION_TAB_POINT_BOX_TITLE"
#define SW_SELECTION_TAB_TIME_BOX_TITLE_ID "SW_SELECTION_TAB_TIME_BOX_TITLE"
#define SW_SELECTION_TAB_START_LABEL_ID "SW_SELECTION_TAB_START_LABEL"
#define SW_SELECTION_TAB_END_LABEL_ID "SW_SELECTION_TAB_END_LABEL"
#define SW_SELECTION_TAB_LENGTH_LABEL_ID "SW_SELECTION_TAB_LENGTH_LABEL"
#define SW_SELECTION_TAB_PLAY_LABEL_ID "SW_SELECTION_TAB_PLAY_LABEL"
    
#define SW_NORMAL_LABEL_LABEL_ID "SW_NORMAL_LABEL_LABEL"
#define SW_REGION_LABEL_LABEL_ID "SW_REGION_LABEL_LABEL"
    
#define SW_UPDATE_LABEL_LABEL_ID "SW_UPDATE_LABEL_LABEL"
#define SW_SELECT_LABEL_LABEL_ID "SW_SELECT_LABEL_LABEL"
#define SW_EDIT_LABEL_LABEL_ID "SW_EDIT_LABEL_LABEL"
#define SW_ERASE_LABEL_LABEL_ID "SW_ERASE_LABEL_LABEL"
#define SW_CAT_LABEL_LABEL_ID "SW_CAT_LABEL_LABEL"
#define SW_PLAY_LABEL_LABEL_ID "SW_PLAY_LABEL_LABEL"
#define SW_PREV_LABEL_LABEL_ID "SW_PREV_LABEL_LABEL"
#define SW_NEXT_LABEL_LABEL_ID "SW_NEXT_LABEL_LABEL"
    
#define SW_AMPLIFY_DIALOG_TITLE_ID "SW_AMPLIFY_DIALOG_TITLE"
#define SW_AMPLIFY_RATE_LABEL_ID "SW_AMPLIFY_RATE_LABEL"
#define SW_AMPLIFY_DB_LABEL_ID "SW_AMPLIFY_DB_LABEL"

#define SW_MAXIMIZE_DIALOG_TITLE_ID "SW_MAXIMIZE_DIALOG_TITLE"
#define SW_MAXIMIZE_RATE_LABEL_ID "SW_MAXIMIZE_RATE_LABEL"
#define SW_MAXIMIZE_DB_LABEL_ID "SW_MAXIMIZE_DB_LABEL"

#define SW_SAMP_RATE_CONV_DIALOG_TITLE_ID "SW_SAMP_RATE_CONV_DIALOG_TITLE"
#define SW_CHANNEL_CONV_DIALOG_TITLE_ID "SW_CHANNEL_CONV_DIALOG_TITLE"
#define SW_BIT_CONV_DIALOG_TITLE_ID "SW_BIT_CONV_DIALOG_TITLE"
#define SW_FLOAT_NORMALIZED_LABEL_ID "SW_FLOAT_NORMALIZED_LABEL"
#define SW_INSERT_PAUSE_DIALOG_TITLE_ID "SW_INSERT_PAUSE_DIALOG_TITLE"
#define SW_PAUSE_LABEL_ID "SW_PAUSE_LABEL"
#define SW_CHANGE_VALUE_DIALOG_TITLE_ID "SW_BIT_CHANGE_VALUE_DIALOG_TITLE"

#define SW_SFC_CUTOFF_LABEL_ID "SW_SFC_CUTOFF_LABEL"
#define SW_SFC_SIDELOBE_LABEL_ID "SW_SFC_SIDELOBE_LABEL"
#define SW_SFC_TRANSITION_LABEL_ID "SW_SFC_TRANSITION_LABEL"
#define SW_SFC_GAIN_LABEL_ID "SW_SFC_GAIN_LABEL"
#define SW_SFC_TOLERANCE_LABEL_ID "SW_SFC_TOLERANCE_LABEL"
#define SW_SFC_BUFFER_LENGTH_LABEL_ID "SW_SFC_BUFFER_LENGTH_LABEL"
    
#define SW_PREFERENCE_TITLE_ID "SW_PREFERENCE_TITLE"
#define SW_USE_DEFAULT_FORMAT_LABEL_ID "SW_USE_DEFAULT_FORMAT_LABEL"

#define SW_FILE_TAB_LABEL_ID "SW_FILE_TAB_LABEL"
#define SW_LOOK_TAB_LABEL_ID "SW_LOOK_TAB_LABEL"
#define SW_DISPLAY_TAB_LABEL_ID "SW_DISPLAY_TAB_LABEL"
#define SW_SOUND_TAB_LABEL_ID "SW_SOUND_TAB_LABEL"
#define SW_LABEL_TAB_LABEL_ID "SW_LABEL_TAB_LABEL"
#define SW_AUTOSAVE_TAB_LABEL_ID "SW_AUTOSAVE_TAB_LABEL"
    
#define SW_LOOK_LIKE_LABEL_ID "SW_LOOK_LIKE_LABEL"
#define SW_LOOK_LIKE_DIMENSION_ID "SW_LOOK_LIKE_DIMENSION"
#define SW_CANVAS_FONT_LABEL_ID "SW_CANVAS_FONT_LABEL"
#define SW_WINDOW_SIZE_LABEL_ID "SW_WINDOW_SIZE_LABEL"
#define SW_PRINT_SIZE_LABEL_ID "SW_PRINT_SIZE_LABEL"
#define SW_INFO_AREA_WIDTH_LABEL_ID "SW_INFO_AREA_WIDTH_LABEL"
#define SW_USE_PLAY_COMMAND_LABEL_ID "SW_USE_PLAY_COMMAND_LABEL"
#define SW_PLAY_COMMAND_LABEL_ID "SW_PLAY_COMMAND_LABEL"
#define SW_AUDIO_DRIVER_LABEL_ID "SW_AUDIO_DRIVER_LABEL"
#define SW_BUFFER_SIZE_LABEL_ID "SW_BUFFER_SIZE_LABEL"
#define SW_PLAY_DRAW_LABEL_ID "SW_PLAY_DRAW_LABEL"
#define SW_USE_LOOP_PLAY_LABEL_ID "SW_USE_LOOP_PLAY_LABEL"
#define SW_USE_SYNC_PLAY_LABEL_ID "SW_USE_SYNC_PLAY_LABEL"
#define SW_USE_THREAD_LABEL_ID "SW_USE_THREAD_LABEL"
#define SW_USE_LOWLEVEL_THREAD_LABEL_ID "SW_USE_LOWLEVEL_THREAD_LABEL"
#define SW_ALT_CTRL_SWAP_LABEL_ID "SW_ALT_CTRL_SWAP_LABEL"
#define SW_SCROLL_LEFT_BY_WHEEL_DOWN_LABEL_ID "SCROLL_LEFT_BY_WHEEL_DOWN_LABEL"
#define SW_USE_TOOL_BAR_LABEL_ID "SW_USE_TOOL_BAR_LABEL"
#define SW_DISPLAY_METER_LABEL_ID "SW_DISPLAY_METER_LABEL"
#define SW_DRAW_SELECTION_TIMES_LABEL_ID "SW_DRAW_SELECTION_TIMES_LABEL"
#define SW_DRAW_SELECTION_LENGTH_LABEL_ID "SW_DRAW_SELECTION_LENGTH_LABEL"
#define SW_DRAW_LABEL_LABEL_ID "SW_DRAW_LABEL_LABEL"
#define SW_DRAW_SCALE_LABEL_ID "SW_DRAW_SCALE_LABEL"
#define SW_DRAW_GRID_LABEL_ID "SW_DRAW_GRID_LABEL"
#define SW_PERCENT_AMPLITUDE_LABEL_ID "SW_PERCENT_AMPLITUDE_LABEL"

#define SW_DISPLAY_INFO_AREA_LABEL_ID "SW_DISPLAY_INFO_AREA_LABEL"
#define SW_DISPLAY_FREQ_INFO_AREA_LABEL_ID "SW_DISPLAY_FREQ_INFO_AREA_LABEL"
#define SW_LINK_REGION_LABEL_LABEL_ID "SW_LINK_REGION_LABEL_LABEL"
#define SW_ERASE_LABEL_PROMPT_LABEL_ID "SW_ERASE_LABEL_PROMPT_LABEL"
#define SW_LOAD_DEFAULT_LABEL_LABEL_ID "SW_LOAD_DEFAULT_LABEL_LABEL"
#define SW_DEFAULT_LABEL_SUFFIX_LABEL_ID "SW_DEFAULT_LABEL_SUFFIX_LABEL"
    
#define SW_AUTOSAVE_DIR_LABEL_ID "SW_AUTOSAVE_DIR_LABEL"
#define SW_AUTOSAVE_ID_PREFIX_LABEL_ID "SW_AUTOSAVE_ID_PREFIX_LABEL"
#define SW_AUTOSAVE_ID_TYPE_LABEL_ID "SW_AUTOSAVE_ID_TYPE_LABEL"
#define SW_AUTOSAVE_LABEL_SUFFIX_LABEL_ID "SW_AUTOSAVE_LABEL_SUFFIX_LABEL"
#define SW_AUTOSAVE_LABEL_FULLPATH_LABEL_ID "SW_AUTOSAVE_LABEL_FULLPATH_LABEL"
#define SW_AUTOSAVE_DROP_LABEL_ID "SW_AUTOSAVE_DROP_LABEL"

#define SW_MENU_LABEL_LABEL_ID "SW_MENU_LABEL_LABEL"
#define SW_MENU_OPEN_LABEL_LABEL_ID "SW_MENU_OPEN_LABEL_LABEL"
#define SW_MENU_SAVE_LABEL_LABEL_ID "SW_MENU_SAVE_LABEL_LABEL"
#define SW_MENU_SAVE_AS_LABEL_LABEL_ID "SW_MENU_SAVE_AS_LABEL_LABEL"
#define SW_MENU_CLEAR_LABEL_LABEL_ID "SW_MENU_CLEAR_LABEL_LABEL"
#define SW_MENU_OPEN_REGION_LABEL_LABEL_ID "SW_MENU_OPEN_REGION_LABEL_LABEL"
#define SW_MENU_SAVE_REGION_LABEL_LABEL_ID "SW_MENU_SAVE_REGION_LABEL_LABEL"
#define SW_MENU_SAVE_AS_REGION_LABEL_LABEL_ID "SW_MENU_SAVE_AS_REGION_LABEL_LABEL"
#define SW_MENU_CLEAR_REGION_LABEL_LABEL_ID "SW_MENU_CLEAR_REGION_LABEL_LABEL"

#define SW_MENU_INSERT_SIMPLE_LABEL_LABEL_ID "SW_MENU_INSERT_SIMPLE_LABEL_LABEL"
#define SW_MENU_INSERT_VALUE_LABEL_LABEL_ID "SW_MENU_INSERT_VALUE_LABEL_LABEL"
#define SW_MENU_INSERT_LABEL_LABEL_ID "SW_MENU_INSERT_LABEL_LABEL"
#define SW_MENU_CHANGE_LABEL_LABEL_ID "SW_MENU_CHANGE_LABEL_LABEL"
#define SW_MENU_ERASE_LABEL_LABEL_ID "SW_MENU_ERASE_LABEL_LABEL"
#define SW_MENU_ERASE_LABEL_REGION_LABEL_ID "SW_MENU_ERASE_LABEL_REGION_LABEL"
#define SW_MENU_SELECT_BETWEEN_LABELS_LABEL_ID "SW_MENU_SELECT_BETWEEN_LABELS_LABEL"
#define SW_MENU_SET_REGION_LABEL_LABEL_ID "SW_MENU_SET_REGION_LABEL_LABEL"
#define SW_MENU_SET_REGION_LABEL_AS_REGION_LABEL_ID "SW_MENU_SET_REGION_LABEL_AS_REGION_LABEL"
#define SW_MENU_CAT_REGION_LABELS_LABEL_ID "SW_MENU_CAT_REGION_LABELS_LABEL"
#define SW_MENU_DIVIDE_REGION_LABEL_LABEL_ID "SW_MENU_DIVIDE_REGION_LABEL_LABEL"

#define SW_LABEL_DIALOG_TITLE_ID "SW_LABEL_DIALOG_TITLE"
#define SW_LABEL_DIALOG_TIME_LABEL_ID "SW_LABEL_DIALOG_TIME_LABEL"
#define SW_LABEL_DIALOG_END_TIME_LABEL_ID "SW_LABEL_DIALOG_END_TIME_LABEL"
#define SW_LABEL_DIALOG_DATA_LABEL_ID "SW_LABEL_DIALOG_DATA_LABEL"
#define SW_LABEL_DIALOG_SYMBOL_LABEL_ID "SW_LABEL_DIALOG_SYMBOL_LABEL"
#define SW_LABEL_DIALOG_CHANNEL_LABEL_ID "SW_LABEL_DIALOG_CHANNEL_LABEL"

#define SW_MENU_ANALYSIS_PREFERENCE_LABEL_ID "SW_MENU_ANALYSIS_PREFERENCE_LABEL"
#define SW_MENU_ANALYSIS_LABEL_ID "SW_MENU_ANALYSIS_LABEL"
#define SW_MENU_ANALYSIS_REGION_LABEL_ID "SW_MENU_ANALYSIS_REGION_LABEL"
#define SW_MENU_ANALYSIS_WIDE_LABEL_ID "SW_MENU_ANALYSIS_WIDE_LABEL"
#define SW_MENU_ANALYSIS_NARROW_LABEL_ID "SW_MENU_ANALYSIS_NARROW_LABEL"

#define SW_ANALYSIS_DIALOG_TITLE_ID "SW_ANALYSIS_DIALOG_TITLE"
#define SW_ANALYSIS_PARAMETER_LABEL_ID "SW_ANALYSIS_PARAMETER_LABEL"
#define SW_ANALYSIS_TYPE_LABEL_ID "SW_ANALYSIS_TYPE_LABEL"
#define SW_ANALYSIS_WINDOW_TYPE_LABEL_ID "SW_ANALYSIS_WINDOW_TYPE_LABEL"
#define SW_ANALYSIS_FFT_LENGTH_LABEL_ID "SW_ANALYSIS_FFT_LENGTH_LABEL"
#define SW_ANALYSIS_MAX_FFT_LENGTH_LABEL_ID "SW_ANALYSIS_MAX_FFT_LENGTH_LABEL"
#define SW_ANALYSIS_LIFTER_LABEL_ID "SW_ANALYSIS_LIFTER_LABEL"
#define SW_ANALYSIS_LIFTER_HIGHPASS_LABEL_ID "SW_ANALYSIS_LIFTER_HIGHPASS_LABEL_ID"
#define SW_ANALYSIS_WIDE_FRAME_LABEL_ID "SW_ANALYSIS_WIDE_FRAME_LABEL"
#define SW_ANALYSIS_NARROW_FRAME_LABEL_ID "SW_ANALYSIS_NARROW_FRAME_LABEL"
#define SW_ANALYSIS_FRAME_LABEL_ID "SW_ANALYSIS_FRAME_LABEL"
#define SW_ANALYSIS_SHIFT_LABEL_ID "SW_ANALYSIS_SHIFT_LABEL"
#define SW_ANALYSIS_ATTRIBUTE_LABEL_ID "SW_ANALYSIS_ATTRIBUTE_LABEL"
#define SW_ANALYSIS_NEW_WINDOW_LABEL_ID "SW_ANALYSIS_NEW_WINDOW_LABEL"
#define SW_ANALYSIS_LINEAR_SPECTRUM_LABEL_ID "SW_ANALYSIS_LINEAR_SPECTRUM_LABEL"
#define SW_ANALYSIS_NORMALIZE_SPECTRUM_LABEL_ID "SW_ANALYSIS_NORMALIZE_SPECTRUM_LABEL"
#define SW_ANALYSIS_NORMALIZE_SPECTRUM_MAX_LABEL_ID "SW_ANALYSIS_NORMALIZE_SPECTRUM_MAX_LABEL"
    
#define SW_SPECTROGRAM_DIALOG_TITLE_ID "SW_SPECTROGRAM_DIALOG_TITLE"
#define SW_SPECTROGRAM_RANGE_LABEL_ID "SW_SPECTROGRAM_RANGE_LABEL"
#define SW_SPECTROGRAM_LIMIT_THRESHOLD_LABEL_ID "SW_SPECTROGRAM_LIMIT_THRESHOLD_LABEL"
#define SW_SPECTROGRAM_SIMPLIFIED_LABEL_ID "SW_SPECTROGRAM_SIMPLIFIED_LABEL"
#define SW_SPECTROGRAM_GRAY_SCALE_LABEL_ID "SW_SPECTROGRAM_GRAY_SCALE_LABEL"
    
#define SW_OPTION_DIALOG_TITLE_ID "SW_OPTION_DIALOG_TITLE"

#define SW_INFO_DIALOG_TITLE_ID "SW_INFO_DIALOG_TITLE"
#define SW_INFO_DIALOG_TITLE_LABEL_ID "SW_INFO_DIALOG_TITLE_LABEL"
#define SW_INFO_DIALOG_ARTIST_LABEL_ID "SW_INFO_DIALOG_ARTIST_LABEL"
#define SW_INFO_DIALOG_ALBUM_LABEL_ID "SW_INFO_DIALOG_ALBUM_LABEL"
#define SW_INFO_DIALOG_ALBUM_ARTIST_LABEL_ID "SW_INFO_DIALOG_ALBUM_ARTIST_LABEL"
#define SW_INFO_DIALOG_COMPOSER_LABEL_ID "SW_INFO_DIALOG_COMPOSER_LABEL"
#define SW_INFO_DIALOG_LYRICIST_LABEL_ID "SW_INFO_DIALOG_LYRICIST_LABEL"
#define SW_INFO_DIALOG_GENRE_LABEL_ID "SW_INFO_DIALOG_GENRE_LABEL"
#define SW_INFO_DIALOG_ID3_VERSION_LABEL_ID "SW_INFO_DIALOG_ID3_VERSION_LABEL"
#define SW_INFO_DIALOG_RELEASE_LABEL_ID "SW_INFO_DIALOG_RELEASE_LABEL"
#define SW_INFO_DIALOG_TEMPO_LABEL_ID "SW_INFO_DIALOG_TEMPO_LABEL"
#define SW_INFO_DIALOG_TRACK_LABEL_ID "SW_INFO_DIALOG_TRACK_LABEL"
#define SW_INFO_DIALOG_TRACK_TOTAL_LABEL_ID "SW_INFO_DIALOG_TRACK_TOTAL_LABEL"
#define SW_INFO_DIALOG_DISC_LABEL_ID "SW_INFO_DIALOG_DISC_LABEL"
#define SW_INFO_DIALOG_DISC_TOTAL_LABEL_ID "SW_INFO_DIALOG_DISC_TOTAL_LABEL"
#define SW_INFO_DIALOG_COPYRIGHT_LABEL_ID "SW_INFO_DIALOG_COPYRIGHT_LABEL"
#define SW_INFO_DIALOG_PRODUCER_LABEL_ID "SW_INFO_DIALOG_PRODUCER_LABEL"
#define SW_INFO_DIALOG_ENGINEER_LABEL_ID "SW_INFO_DIALOG_ENGINEER_LABEL"
#define SW_INFO_DIALOG_SOURCE_LABEL_ID "SW_INFO_DIALOG_SOURCE_LABEL"
#define SW_INFO_DIALOG_ISRC_LABEL_ID "SW_INFO_DIALOG_ISRC_LABEL"
#define SW_INFO_DIALOG_SOFTWARE_LABEL_ID "SW_INFO_DIALOG_SOFTWARE_LABEL"
#define SW_INFO_DIALOG_SUBJECT_LABEL_ID "SW_INFO_DIALOG_SUBJECT_LABEL"
#define SW_INFO_DIALOG_COMMENT_LABEL_ID "SW_INFO_DIALOG_COMMENT_LABEL"

#define SW_MENU_FILE_LABEL spGetString(SW_MENU_FILE_LABEL_ID)
#define SW_MENU_OPEN_LABEL spGetString(SW_MENU_OPEN_LABEL_ID)
#define SW_MENU_SAVE_LABEL spGetString(SW_MENU_SAVE_LABEL_ID)
#define SW_MENU_CLOSE_LABEL spGetString(SW_MENU_CLOSE_LABEL_ID)
#define SW_MENU_QUIT_LABEL spGetString(SW_MENU_QUIT_LABEL_ID)
    
#define SW_MENU_OPEN_NEW_LABEL spGetString(SW_MENU_OPEN_NEW_LABEL_ID)
#define SW_MENU_SAVE_AS_LABEL spGetString(SW_MENU_SAVE_AS_LABEL_ID)

#define SW_MENU_OPEN_DESC spGetString(SW_MENU_OPEN_DESC_ID)
#define SW_MENU_OPEN_NEW_DESC spGetString(SW_MENU_OPEN_NEW_DESC_ID)
#define SW_MENU_SAVE_DESC spGetString(SW_MENU_SAVE_DESC_ID)
#define SW_MENU_SAVE_AS_DESC spGetString(SW_MENU_SAVE_AS_DESC_ID)
    
#define SW_MENU_PAGE_LABEL spGetString(SW_MENU_PAGE_LABEL_ID)
#define SW_MENU_FORWARD_LABEL spGetString(SW_MENU_FORWARD_LABEL_ID)
#define SW_MENU_BACKWARD_LABEL spGetString(SW_MENU_BACKWARD_LABEL_ID)
#define SW_MENU_GO_HEAD_LABEL spGetString(SW_MENU_GO_HEAD_LABEL_ID)
#define SW_MENU_GO_TAIL_LABEL spGetString(SW_MENU_GO_TAIL_LABEL_ID)
#define SW_MENU_PREV_WINDOW_LABEL spGetString(SW_MENU_PREV_WINDOW_LABEL_ID)
#define SW_MENU_NEXT_WINDOW_LABEL spGetString(SW_MENU_NEXT_WINDOW_LABEL_ID)
#define SW_MENU_ALIGN_WINDOW_LABEL spGetString(SW_MENU_ALIGN_WINDOW_LABEL_ID)
#define SW_MENU_SELECT_ALL_LABEL spGetString(SW_MENU_SELECT_ALL_LABEL_ID)
#define SW_MENU_SELECT_REGION_LABEL spGetString(SW_MENU_SELECT_REGION_LABEL_ID)
#define SW_MENU_SELECT_ALL_REGION_LABEL spGetString(SW_MENU_SELECT_ALL_REGION_LABEL_ID)
#define SW_MENU_SELECT_NEXT_CHANNEL_LABEL spGetString(SW_MENU_SELECT_NEXT_CHANNEL_LABEL_ID)
#define SW_MENU_SELECT_FROM_HERE_LABEL spGetString(SW_MENU_SELECT_FROM_HERE_LABEL_ID)
#define SW_MENU_SELECT_TO_HERE_LABEL spGetString(SW_MENU_SELECT_TO_HERE_LABEL_ID)
    
#define SW_MENU_VIEW_LABEL spGetString(SW_MENU_VIEW_LABEL_ID)
#define SW_MENU_ZOOM_IN_LABEL spGetString(SW_MENU_ZOOM_IN_LABEL_ID)
#define SW_MENU_ZOOM_OUT_LABEL spGetString(SW_MENU_ZOOM_OUT_LABEL_ID)
#define SW_MENU_ZOOM_FULL_OUT_LABEL spGetString(SW_MENU_ZOOM_FULL_OUT_LABEL_ID)
#define SW_MENU_ZOOM_REGION_LABEL spGetString(SW_MENU_ZOOM_REGION_LABEL_ID)
#define SW_MENU_ZOOM_IN_AMPLITUDE_LABEL spGetString(SW_MENU_ZOOM_IN_AMPLITUDE_LABEL_ID)
#define SW_MENU_ZOOM_OUT_AMPLITUDE_LABEL spGetString(SW_MENU_ZOOM_OUT_AMPLITUDE_LABEL_ID)
#define SW_MENU_ZOOM_FULL_OUT_AMPLITUDE_LABEL spGetString(SW_MENU_ZOOM_FULL_OUT_AMPLITUDE_LABEL_ID)
#define SW_MENU_ALIGN_AMPLITUDE_LABEL spGetString(SW_MENU_ALIGN_AMPLITUDE_LABEL_ID)
#define SW_MENU_DISPLAY_INFO_AREA_LABEL spGetString(SW_MENU_DISPLAY_INFO_AREA_LABEL_ID)
#define SW_MENU_DRAW_DETAIL_LABEL spGetString(SW_MENU_DRAW_DETAIL_LABEL_ID)
#define SW_MENU_DRAW_LABEL_LABEL spGetString(SW_MENU_DRAW_LABEL_LABEL_ID)
#define SW_MENU_SPECTROGRAM_LABEL spGetString(SW_MENU_SPECTROGRAM_LABEL_ID)
#define SW_MENU_NO_SPECTROGRAM_LABEL spGetString(SW_MENU_NO_SPECTROGRAM_LABEL_ID)
#define SW_MENU_WIDE_SPECTROGRAM_LABEL spGetString(SW_MENU_WIDE_SPECTROGRAM_LABEL_ID)
#define SW_MENU_NARROW_SPECTROGRAM_LABEL spGetString(SW_MENU_NARROW_SPECTROGRAM_LABEL_ID)
#define SW_MENU_NARROW_SMOOTHED_SPECTROGRAM_LABEL spGetString(SW_MENU_NARROW_SMOOTHED_SPECTROGRAM_LABEL_ID)
#define SW_MENU_UPDATE_SPECTROGRAM_LABEL spGetString(SW_MENU_UPDATE_SPECTROGRAM_LABEL_ID)
#define SW_MENU_SPECTROGRAM_DIALOG_LABEL spGetString(SW_MENU_SPECTROGRAM_DIALOG_LABEL_ID)
    
#define SW_MENU_ANALYSIS_SUBPLOT_LABEL spGetString(SW_MENU_ANALYSIS_SUBPLOT_LABEL_ID)
#define SW_MENU_ANALYSIS_SUBPLOT_SPECTROGRAM_LABEL spGetString(SW_MENU_ANALYSIS_SUBPLOT_SPECTROGRAM_LABEL_ID)
#define SW_MENU_ANALYSIS_SUBPLOT_F0_LABEL spGetString(SW_MENU_ANALYSIS_SUBPLOT_F0_LABEL_ID)
#define SW_MENU_ANALYSIS_SUBPLOT_POWER_LABEL spGetString(SW_MENU_ANALYSIS_SUBPLOT_POWER_LABEL_ID)
#define SW_MENU_ANALYSIS_SUBPLOT_APERIODICITY_LABEL spGetString(SW_MENU_ANALYSIS_SUBPLOT_APERIODICITY_LABEL_ID)
#define SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_SPECGRAM_LABEL spGetString(SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_SPECGRAM_LABEL_ID)
#define SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_F0_LABEL spGetString(SW_MENU_ANALYSIS_SUBPLOT_STRAIGHT_F0_LABEL_ID)
    
#define SW_MENU_EDIT_LABEL spGetString(SW_MENU_EDIT_LABEL_ID)
#define SW_MENU_UNDO_LABEL spGetString(SW_MENU_UNDO_LABEL_ID)
#define SW_MENU_REDO_LABEL spGetString(SW_MENU_REDO_LABEL_ID)
#define SW_MENU_CUT_LABEL spGetString(SW_MENU_CUT_LABEL_ID)
#define SW_MENU_COPY_LABEL spGetString(SW_MENU_COPY_LABEL_ID)
#define SW_MENU_CLIPBOARD_WINDOW_LABEL spGetString(SW_MENU_CLIPBOARD_WINDOW_LABEL_ID)
#define SW_MENU_CROP_LABEL spGetString(SW_MENU_CROP_LABEL_ID)
#define SW_MENU_DELETE_LABEL spGetString(SW_MENU_DELETE_LABEL_ID)
#define SW_MENU_ERASE_LABEL spGetString(SW_MENU_ERASE_LABEL_ID)
#define SW_MENU_EXTRACT_LABEL spGetString(SW_MENU_EXTRACT_LABEL_ID)
#define SW_MENU_EXTRACT_AUTOSAVE_LABEL spGetString(SW_MENU_EXTRACT_AUTOSAVE_LABEL_ID)
#define SW_MENU_SAVE_BY_NORMAL_LABEL_LABEL spGetString(SW_MENU_SAVE_BY_NORMAL_LABEL_LABEL_ID)
#define SW_MENU_SAVE_BY_REGION_LABEL_LABEL spGetString(SW_MENU_SAVE_BY_REGION_LABEL_LABEL_ID)
#define SW_MENU_INVERT_LABEL spGetString(SW_MENU_INVERT_LABEL_ID)
#define SW_MENU_AMPLIFY_LABEL spGetString(SW_MENU_AMPLIFY_LABEL_ID)
#define SW_MENU_NORMALIZE_LABEL spGetString(SW_MENU_NORMALIZE_LABEL_ID)
#define SW_MENU_FADE_IN_LABEL spGetString(SW_MENU_FADE_IN_LABEL_ID)
#define SW_MENU_FADE_OUT_LABEL spGetString(SW_MENU_FADE_OUT_LABEL_ID)
#define SW_MENU_CHANNEL_SWAP_LABEL spGetString(SW_MENU_CHANNEL_SWAP_LABEL_ID)
    
#define SW_MENU_MAXIMIZE_LABEL spGetString(SW_MENU_MAXIMIZE_LABEL_ID)
#define SW_MENU_SAMP_RATE_CONV_LABEL spGetString(SW_MENU_SAMP_RATE_CONV_LABEL_ID)
#define SW_MENU_CHANNEL_CONV_LABEL spGetString(SW_MENU_CHANNEL_CONV_LABEL_ID)
#define SW_MENU_BIT_CONV_LABEL spGetString(SW_MENU_BIT_CONV_LABEL_ID)
#define SW_MENU_MONAURALIZE_LABEL spGetString(SW_MENU_MONAURALIZE_LABEL_ID)
    
#define SW_MENU_CLIPBOARD_LABEL spGetString(SW_MENU_CLIPBOARD_LABEL_ID)
#define SW_MENU_PASTE_LABEL spGetString(SW_MENU_PASTE_LABEL_ID)
#define SW_MENU_INSERT_LABEL spGetString(SW_MENU_INSERT_LABEL_ID)
#define SW_MENU_CAT_LABEL spGetString(SW_MENU_CAT_LABEL_ID)
#define SW_MENU_CATTOP_LABEL spGetString(SW_MENU_CATTOP_LABEL_ID)
#define SW_MENU_MIX_LABEL spGetString(SW_MENU_MIX_LABEL_ID)
#define SW_MENU_REPLACE_LABEL spGetString(SW_MENU_REPLACE_LABEL_ID)
#define SW_MENU_INSERT_PAUSE_LABEL spGetString(SW_MENU_INSERT_PAUSE_LABEL_ID)
#define SW_MENU_CHANGE_VALUE_LABEL spGetString(SW_MENU_CHANGE_VALUE_LABEL_ID)

#define SW_MENU_HELP_LABEL spGetString(SW_MENU_HELP_LABEL_ID)
#define SW_MENU_DISPLAY_HELP_LABEL spGetString(SW_MENU_DISPLAY_HELP_LABEL_ID)
#define SW_MENU_INFO_LABEL spGetString(SW_MENU_INFO_LABEL_ID)
#define SW_MENU_PLUGIN_INFO_LABEL spGetString(SW_MENU_PLUGIN_INFO_LABEL_ID)
    
#define SW_MENU_SOUND_LABEL spGetString(SW_MENU_SOUND_LABEL_ID)

#define SW_MENU_PLAY_LABEL spGetString(SW_MENU_PLAY_LABEL_ID)
#define SW_MENU_PLAY_WINDOW_LABEL spGetString(SW_MENU_PLAY_WINDOW_LABEL_ID)
#define SW_MENU_PLAY_FILE_LABEL spGetString(SW_MENU_PLAY_FILE_LABEL_ID)
#define SW_MENU_RECORD_LABEL spGetString(SW_MENU_RECORD_LABEL_ID)
#define SW_MENU_PLAY_STOP_LABEL spGetString(SW_MENU_PLAY_STOP_LABEL_ID)
#define SW_MENU_LOOP_PLAY_LABEL spGetString(SW_MENU_LOOP_PLAY_LABEL_ID)
#define SW_MENU_SYNC_PLAY_LABEL spGetString(SW_MENU_SYNC_PLAY_LABEL_ID)
    
#define SW_MENU_PREFERENCE_LABEL spGetString(SW_MENU_PREFERENCE_LABEL_ID)
#define SW_MENU_INFO_DIALOG_LABEL spGetString(SW_MENU_INFO_DIALOG_LABEL_ID)
    
#define SW_OPEN_DIALOG_TITLE spGetString(SW_OPEN_DIALOG_TITLE_ID)
#define SW_SAVE_DIALOG_TITLE spGetString(SW_SAVE_DIALOG_TITLE_ID)
    
#define SW_ERROR_TITLE spGetString(SW_ERROR_TITLE_ID)
#define SW_WARNING_TITLE spGetString(SW_WARNING_TITLE_ID)
#define SW_INFO_TITLE spGetString(SW_INFO_TITLE_ID)
    
#define SW_MENU_TIME_FORMAT_LABEL spGetString(SW_MENU_TIME_FORMAT_LABEL_ID)
#define SW_MENU_TIME_FORMAT_SEC_LABEL spGetString(SW_MENU_TIME_FORMAT_SEC_LABEL_ID)
#define SW_MENU_TIME_FORMAT_MSEC_LABEL spGetString(SW_MENU_TIME_FORMAT_MSEC_LABEL_ID)
#define SW_MENU_TIME_FORMAT_POINT_LABEL spGetString(SW_MENU_TIME_FORMAT_POINT_LABEL_ID)
#define SW_MENU_TIME_FORMAT_SEPARATED_SEC_LABEL spGetString(SW_MENU_TIME_FORMAT_SEPARATED_SEC_LABEL_ID)
    
#define SW_MENU_PLAY_DESC spGetString(SW_MENU_PLAY_DESC_ID)
#define SW_MENU_LOOP_PLAY_DESC spGetString(SW_MENU_LOOP_PLAY_DESC_ID)
#define SW_MENU_SYNC_PLAY_DESC spGetString(SW_MENU_SYNC_PLAY_DESC_ID)
#define SW_MENU_PLAY_STOP_DESC spGetString(SW_MENU_PLAY_STOP_DESC_ID)
#define SW_MENU_FORWARD_DESC spGetString(SW_MENU_FORWARD_DESC_ID)
#define SW_MENU_BACKWARD_DESC spGetString(SW_MENU_BACKWARD_DESC_ID)
#define SW_MENU_GO_HEAD_DESC spGetString(SW_MENU_GO_HEAD_DESC_ID)
#define SW_MENU_GO_TAIL_DESC spGetString(SW_MENU_GO_TAIL_DESC_ID)
#define SW_MENU_ZOOM_IN_DESC spGetString(SW_MENU_ZOOM_IN_DESC_ID)
#define SW_MENU_ZOOM_OUT_DESC spGetString(SW_MENU_ZOOM_OUT_DESC_ID)
    
#define SW_EDIT_ERROR_MESSAGE spGetString(SW_EDIT_ERROR_MESSAGE_ID)
#define SW_REGION_ERROR_MESSAGE spGetString(SW_REGION_ERROR_MESSAGE_ID)
#define SW_DELETE_WHOLE_ERROR_MESSAGE spGetString(SW_DELETE_WHOLE_ERROR_MESSAGE_ID)
#define SW_PLAY_ERROR_MESSAGE spGetString(SW_PLAY_ERROR_MESSAGE_ID)
#define SW_PLAY_LONG_ERROR_MESSAGE spGetString(SW_PLAY_LONG_ERROR_MESSAGE_ID)
#define SW_LOOP_PLAY_SHORT_ERROR_MESSAGE spGetString(SW_LOOP_PLAY_SHORT_ERROR_MESSAGE_ID)

#define SW_CB_NOT_FOUND_ERROR_MESSAGE spGetString(SW_CB_NOT_FOUND_ERROR_MESSAGE_ID)
#define SW_CB_PROCESSING_ERROR_MESSAGE spGetString(SW_CB_PROCESSING_ERROR_MESSAGE_ID)
#define SW_CB_DIFFERENT_CHANNEL_ERROR_MESSAGE spGetString(SW_CB_DIFFERENT_CHANNEL_ERROR_MESSAGE_ID)
#define SW_CB_DIFFERENT_SAMP_RATE_ERROR_MESSAGE spGetString(SW_CB_DIFFERENT_SAMP_RATE_ERROR_MESSAGE_ID)
    
#define SW_ANALYSIS_ERROR_MESSAGE spGetString(SW_ANALYSIS_ERROR_MESSAGE_ID)
#define SW_ANALYSIS_LONG_ERROR_MESSAGE spGetString(SW_ANALYSIS_LONG_ERROR_MESSAGE_ID)

#define SW_OPEN_ERROR_MESSAGE spGetString(SW_OPEN_ERROR_MESSAGE_ID)
#define SW_SAVE_ERROR_MESSAGE spGetString(SW_SAVE_ERROR_MESSAGE_ID)
#define SW_PLUGIN_ERROR_MESSAGE spGetString(SW_PLUGIN_ERROR_MESSAGE_ID)
#define SW_PLUGIN_NOT_FOUND_MESSAGE spGetString(SW_PLUGIN_NOT_FOUND_MESSAGE_ID)
#define SW_FORMAT_NOT_SUPPORTED_MESSAGE spGetString(SW_FORMAT_NOT_SUPPORTED_MESSAGE_ID)
#define SW_SAVE_FIRST_ERROR_MESSAGE spGetString(SW_SAVE_FIRST_ERROR_MESSAGE_ID)
#define SW_FILE_NOT_EXIST_ERROR_MESSAGE spGetString(SW_FILE_NOT_EXIST_ERROR_MESSAGE_ID)
    
#define SW_SUFFIX_ERROR_MESSAGE spGetString(SW_SUFFIX_ERROR_MESSAGE_ID)
#define SW_SAMP_BIT_ERROR_MESSAGE spGetString(SW_SAMP_BIT_ERROR_MESSAGE_ID)
#define SW_SAMP_RATE_ERROR_MESSAGE spGetString(SW_SAMP_RATE_ERROR_MESSAGE_ID)
#define SW_NUM_CHANNEL_ERROR_MESSAGE spGetString(SW_NUM_CHANNEL_ERROR_MESSAGE_ID)
#define SW_PARAMETER_ERROR_MESSAGE spGetString(SW_PARAMETER_ERROR_MESSAGE_ID)
#define SW_MULTIPLE_INSTANCE_ERROR_MESSAGE spGetString(SW_MULTIPLE_INSTANCE_ERROR_MESSAGE_ID)

#define SW_NO_LABEL_ERROR_MESSAGE spGetString(SW_NO_LABEL_ERROR_MESSAGE_ID)
#define SW_SAVE_BY_NORMAL_LABEL_TITLE spGetString(SW_SAVE_BY_NORMAL_LABEL_TITLE_ID)
#define SW_SAVE_BY_REGION_LABEL_TITLE spGetString(SW_SAVE_BY_REGION_LABEL_TITLE_ID)
#define SW_SBL_SAVE_DIR_LABEL spGetString(SW_SBL_SAVE_DIR_LABEL_ID)
#define SW_SBL_NAMING_RULE_NULL_LABEL_ERROR_MESSAGE spGetString(SW_SBL_NAMING_RULE_NULL_LABEL_ERROR_MESSAGE_ID)
#define SW_SBL_NAMING_RULE_LABEL spGetString(SW_SBL_NAMING_RULE_LABEL_ID)
#define SW_SBL_NAMING_LABEL_LABEL spGetString(SW_SBL_NAMING_LABEL_LABEL_ID)
#define SW_SBL_NAMING_DATA_LABEL spGetString(SW_SBL_NAMING_DATA_LABEL_ID)
#define SW_SBL_NAMING_ORIG_AND_LABEL_LABEL spGetString(SW_SBL_NAMING_ORIG_AND_LABEL_LABEL_ID)
#define SW_SBL_NAMING_ORIG_AND_DATA_LABEL spGetString(SW_SBL_NAMING_ORIG_AND_DATA_LABEL_ID)
#define SW_SBL_NAMING_AUTOSAVE_LABEL spGetString(SW_SBL_NAMING_AUTOSAVE_LABEL_ID)
#define SW_SBL_NAMING_SERIAL_LABEL spGetString(SW_SBL_NAMING_SERIAL_LABEL_ID)
#define SW_SBL_NAMING_EDGE_POINTS_LABEL spGetString(SW_SBL_NAMING_EDGE_POINTS_LABEL_ID)
#define SW_SBL_INDEX_FROM_1ST_LABEL spGetString(SW_SBL_INDEX_FROM_1ST_LABEL_ID)
#define SW_SBL_ILLEGAL_CHAR_TO_SPACE_LABEL spGetString(SW_SBL_ILLEGAL_CHAR_TO_SPACE_LABEL_ID)
#define SW_SBL_DATA_AS_FILENAME_LABEL spGetString(SW_SBL_DATA_AS_FILENAME_LABEL_ID)
#define SW_SBL_CREATE_WINDOW_LABEL spGetString(SW_SBL_CREATE_WINDOW_LABEL_ID)
    
#define SW_SAVE_CHANGES_QUESTION_TITLE spGetString(SW_SAVE_CHANGES_QUESTION_TITLE_ID)
#define SW_SAVE_CHANGES_QUESTION_MESSAGE spGetString(SW_SAVE_CHANGES_QUESTION_MESSAGE_ID)
#define SW_SAVE_LABEL_CHANGES_QUESTION_MESSAGE spGetString(SW_SAVE_LABEL_CHANGES_QUESTION_MESSAGE_ID)
#define SW_SAVE_REGION_LABEL_CHANGES_QUESTION_MESSAGE spGetString(SW_SAVE_REGION_LABEL_CHANGES_QUESTION_MESSAGE_ID)
#define SW_SAVE_ERROR_CLOSE_QUESTION_MESSAGE spGetString(SW_SAVE_ERROR_CLOSE_QUESTION_MESSAGE_ID)
#define SW_SAVE_ERROR_CONTINUE_QUESTION_MESSAGE spGetString(SW_SAVE_ERROR_CONTINUE_QUESTION_MESSAGE_ID)
    
#define SW_ERASE_LABEL_QUESTION_TITLE spGetString(SW_ERASE_LABEL_QUESTION_TITLE_ID)
#define SW_ERASE_LABEL_QUESTION_MESSAGE spGetString(SW_ERASE_LABEL_QUESTION_MESSAGE_ID)

#define SW_UNSUPPORTED_LABEL_QUESTION_TITLE spGetString(SW_UNSUPPORTED_LABEL_QUESTION_TITLE_ID)
#define SW_UNSUPPORTED_LABEL_QUESTION_MESSAGE spGetString(SW_UNSUPPORTED_LABEL_QUESTION_MESSAGE_ID)
#define SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_TITLE spGetString(SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_TITLE_ID)
#define SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_MESSAGE spGetString(SW_UNSUPPORTED_NORMAL_LABEL_QUESTION_MESSAGE_ID)
#define SW_UNSUPPORTED_REGION_LABEL_QUESTION_TITLE spGetString(SW_UNSUPPORTED_REGION_LABEL_QUESTION_TITLE_ID)
#define SW_UNSUPPORTED_REGION_LABEL_QUESTION_MESSAGE spGetString(SW_UNSUPPORTED_REGION_LABEL_QUESTION_MESSAGE_ID)
    
#define SW_STOP_EDIT_QUESTION_MESSAGE spGetString(SW_STOP_EDIT_QUESTION_MESSAGE_ID)
#define SW_CLEAR_LABEL_QUESTION_MESSAGE spGetString(SW_CLEAR_LABEL_QUESTION_MESSAGE_ID)
#define SW_AUTOSAVE_CLEAR_LABEL_QUESTION_MESSAGE spGetString(SW_AUTOSAVE_CLEAR_LABEL_QUESTION_MESSAGE_ID)
#define SW_TIME_FORMAT_ERROR_MESSAGE spGetString(SW_TIME_FORMAT_ERROR_MESSAGE_ID)
#define SW_FIND_DATA_ERROR_MESSAGE spGetString(SW_FIND_DATA_ERROR_MESSAGE_ID)
#define SW_FIND_LABEL_NEAR_CURSOR_ERROR_MESSAGE spGetString(SW_FIND_LABEL_NEAR_CURSOR_ERROR_MESSAGE_ID)
#define SW_FIND_LABEL_REGION_ERROR_MESSAGE spGetString(SW_FIND_LABEL_REGION_ERROR_MESSAGE_ID)
#define SW_FIND_LABEL_ERROR_MESSAGE spGetString(SW_FIND_LABEL_ERROR_MESSAGE_ID)
#define SW_MAXIMUM_VALUE_TOO_SMALL_ERROR_MESSAGE spGetString(SW_MAXIMUM_VALUE_TOO_SMALL_ERROR_MESSAGE_ID)
#define SW_FIND_ACTIVE_LABEL_ERROR_MESSAGE spGetString(SW_FIND_ACTIVE_LABEL_ERROR_MESSAGE_ID)
    
#define SW_NEED_RESTART_WARNING_MESSAGE spGetString(SW_NEED_RESTART_WARNING_MESSAGE_ID)
#define SW_OVERFLOW_WARNING_MESSAGE spGetString(SW_OVERFLOW_WARNING_MESSAGE_ID)
#define SW_OVERFLOW_HAPPENED_WARNING_MESSAGE spGetString(SW_OVERFLOW_HAPPENED_WARNING_MESSAGE_ID)
#define SW_ASSUME_FLOAT_NORMALIZED_WARNING_MESSAGE spGetString(SW_ASSUME_FLOAT_NORMALIZED_WARNING_MESSAGE_ID)
#define SW_SAMP_RATE_CHANGED_WARNING_MESSAGE spGetString(SW_SAMP_RATE_CHANGED_WARNING_MESSAGE_ID)
#define SW_PROCESSING_WARNING_MESSAGE spGetString(SW_PROCESSING_WARNING_MESSAGE_ID)
    
#define SW_DISPLAY_HELP_ERROR_MESSAGE spGetString(SW_DISPLAY_HELP_ERROR_MESSAGE_ID)
#define SW_INFO_MESSAGE spGetString(SW_INFO_MESSAGE_ID)

#define SW_FORMAT_TITLE spGetString(SW_FORMAT_TITLE_ID)
#define SW_SAMP_RATE_LABEL spGetString(SW_SAMP_RATE_LABEL_ID)
#define SW_FORMAT_LABEL spGetString(SW_FORMAT_LABEL_ID)
#define SW_CHANNEL_LABEL spGetString(SW_CHANNEL_LABEL_ID)
#define SW_BIT_LABEL spGetString(SW_BIT_LABEL_ID)
#define SW_VALUE_LABEL spGetString(SW_VALUE_LABEL_ID)

#define SW_SELECTION_TAB_TITLE spGetString(SW_SELECTION_TAB_TITLE_ID)
#define SW_SELECTION_TAB_POINT_BOX_TITLE spGetString(SW_SELECTION_TAB_POINT_BOX_TITLE_ID)
#define SW_SELECTION_TAB_TIME_BOX_TITLE spGetString(SW_SELECTION_TAB_TIME_BOX_TITLE_ID)
#define SW_SELECTION_TAB_START_LABEL spGetString(SW_SELECTION_TAB_START_LABEL_ID)
#define SW_SELECTION_TAB_END_LABEL spGetString(SW_SELECTION_TAB_END_LABEL_ID)
#define SW_SELECTION_TAB_LENGTH_LABEL spGetString(SW_SELECTION_TAB_LENGTH_LABEL_ID)
#define SW_SELECTION_TAB_PLAY_LABEL spGetString(SW_SELECTION_TAB_PLAY_LABEL_ID)

#define SW_NORMAL_LABEL_LABEL spGetString(SW_NORMAL_LABEL_LABEL_ID)
#define SW_REGION_LABEL_LABEL spGetString(SW_REGION_LABEL_LABEL_ID)

#define SW_UPDATE_LABEL_LABEL spGetString(SW_UPDATE_LABEL_LABEL_ID)
#define SW_SELECT_LABEL_LABEL spGetString(SW_SELECT_LABEL_LABEL_ID)
#define SW_EDIT_LABEL_LABEL spGetString(SW_EDIT_LABEL_LABEL_ID)
#define SW_ERASE_LABEL_LABEL spGetString(SW_ERASE_LABEL_LABEL_ID)
#define SW_CAT_LABEL_LABEL spGetString(SW_CAT_LABEL_LABEL_ID)
#define SW_PLAY_LABEL_LABEL spGetString(SW_PLAY_LABEL_LABEL_ID)
#define SW_PREV_LABEL_LABEL spGetString(SW_PREV_LABEL_LABEL_ID)
#define SW_NEXT_LABEL_LABEL spGetString(SW_NEXT_LABEL_LABEL_ID)
    
#define SW_AMPLIFY_DIALOG_TITLE spGetString(SW_AMPLIFY_DIALOG_TITLE_ID)
#define SW_AMPLIFY_RATE_LABEL spGetString(SW_AMPLIFY_RATE_LABEL_ID)
#define SW_AMPLIFY_DB_LABEL spGetString(SW_AMPLIFY_DB_LABEL_ID)

#define SW_MAXIMIZE_DIALOG_TITLE spGetString(SW_MAXIMIZE_DIALOG_TITLE_ID)
#define SW_MAXIMIZE_RATE_LABEL spGetString(SW_MAXIMIZE_RATE_LABEL_ID)
#define SW_MAXIMIZE_DB_LABEL spGetString(SW_MAXIMIZE_DB_LABEL_ID)

#define SW_SAMP_RATE_CONV_DIALOG_TITLE spGetString(SW_SAMP_RATE_CONV_DIALOG_TITLE_ID)
#define SW_CHANNEL_CONV_DIALOG_TITLE spGetString(SW_CHANNEL_CONV_DIALOG_TITLE_ID)
#define SW_BIT_CONV_DIALOG_TITLE spGetString(SW_BIT_CONV_DIALOG_TITLE_ID)
#define SW_FLOAT_NORMALIZED_LABEL spGetString(SW_FLOAT_NORMALIZED_LABEL_ID)
#define SW_INSERT_PAUSE_DIALOG_TITLE spGetString(SW_INSERT_PAUSE_DIALOG_TITLE_ID)
#define SW_PAUSE_LABEL spGetString(SW_PAUSE_LABEL_ID)
#define SW_CHANGE_VALUE_DIALOG_TITLE spGetString(SW_CHANGE_VALUE_DIALOG_TITLE_ID)

#define SW_SFC_CUTOFF_LABEL spGetString(SW_SFC_CUTOFF_LABEL_ID)
#define SW_SFC_SIDELOBE_LABEL spGetString(SW_SFC_SIDELOBE_LABEL_ID)
#define SW_SFC_TRANSITION_LABEL spGetString(SW_SFC_TRANSITION_LABEL_ID)
#define SW_SFC_GAIN_LABEL spGetString(SW_SFC_GAIN_LABEL_ID)
#define SW_SFC_TOLERANCE_LABEL spGetString(SW_SFC_TOLERANCE_LABEL_ID)
#define SW_SFC_BUFFER_LENGTH_LABEL spGetString(SW_SFC_BUFFER_LENGTH_LABEL_ID)

#define SW_PREFERENCE_TITLE spGetString(SW_PREFERENCE_TITLE_ID)
#define SW_USE_DEFAULT_FORMAT_LABEL spGetString(SW_USE_DEFAULT_FORMAT_LABEL_ID)
    
#define SW_FILE_TAB_LABEL spGetString(SW_FILE_TAB_LABEL_ID)
#define SW_LOOK_TAB_LABEL spGetString(SW_LOOK_TAB_LABEL_ID)
#define SW_DISPLAY_TAB_LABEL spGetString(SW_DISPLAY_TAB_LABEL_ID)
#define SW_SOUND_TAB_LABEL spGetString(SW_SOUND_TAB_LABEL_ID)
#define SW_LABEL_TAB_LABEL spGetString(SW_LABEL_TAB_LABEL_ID)
#define SW_AUTOSAVE_TAB_LABEL spGetString(SW_AUTOSAVE_TAB_LABEL_ID)
    
#define SW_LOOK_LIKE_LABEL spGetString(SW_LOOK_LIKE_LABEL_ID)
#define SW_LOOK_LIKE_DIMENSION spGetString(SW_LOOK_LIKE_DIMENSION_ID)
#define SW_CANVAS_FONT_LABEL spGetString(SW_CANVAS_FONT_LABEL_ID)
#define SW_WINDOW_SIZE_LABEL spGetString(SW_WINDOW_SIZE_LABEL_ID)
#define SW_PRINT_SIZE_LABEL spGetString(SW_PRINT_SIZE_LABEL_ID)
#define SW_INFO_AREA_WIDTH_LABEL spGetString(SW_INFO_AREA_WIDTH_LABEL_ID)
#define SW_USE_PLAY_COMMAND_LABEL spGetString(SW_USE_PLAY_COMMAND_LABEL_ID)
#define SW_PLAY_COMMAND_LABEL spGetString(SW_PLAY_COMMAND_LABEL_ID)
#define SW_AUDIO_DRIVER_LABEL spGetString(SW_AUDIO_DRIVER_LABEL_ID)
#define SW_BUFFER_SIZE_LABEL spGetString(SW_BUFFER_SIZE_LABEL_ID)
#define SW_PLAY_DRAW_LABEL spGetString(SW_PLAY_DRAW_LABEL_ID)
#define SW_USE_LOOP_PLAY_LABEL spGetString(SW_USE_LOOP_PLAY_LABEL_ID)
#define SW_USE_SYNC_PLAY_LABEL spGetString(SW_USE_SYNC_PLAY_LABEL_ID)
#define SW_USE_THREAD_LABEL spGetString(SW_USE_THREAD_LABEL_ID)
#define SW_USE_LOWLEVEL_THREAD_LABEL spGetString(SW_USE_LOWLEVEL_THREAD_LABEL_ID)
#define SW_ALT_CTRL_SWAP_LABEL spGetString(SW_ALT_CTRL_SWAP_LABEL_ID)
#define SW_SCROLL_LEFT_BY_WHEEL_DOWN_LABEL spGetString(SW_SCROLL_LEFT_BY_WHEEL_DOWN_LABEL_ID)
    
#define SW_USE_TOOL_BAR_LABEL spGetString(SW_USE_TOOL_BAR_LABEL_ID)
#define SW_DISPLAY_METER_LABEL spGetString(SW_DISPLAY_METER_LABEL_ID)
#define SW_DRAW_SELECTION_TIMES_LABEL spGetString(SW_DRAW_SELECTION_TIMES_LABEL_ID)
#define SW_DRAW_SELECTION_LENGTH_LABEL spGetString(SW_DRAW_SELECTION_LENGTH_LABEL_ID)
#define SW_DRAW_LABEL_LABEL spGetString(SW_DRAW_LABEL_LABEL_ID)
#define SW_DRAW_SCALE_LABEL spGetString(SW_DRAW_SCALE_LABEL_ID)
#define SW_DRAW_GRID_LABEL spGetString(SW_DRAW_GRID_LABEL_ID)
#define SW_PERCENT_AMPLITUDE_LABEL spGetString(SW_PERCENT_AMPLITUDE_LABEL_ID)
    
#define SW_DISPLAY_INFO_AREA_LABEL spGetString(SW_DISPLAY_INFO_AREA_LABEL_ID)
#define SW_DISPLAY_FREQ_INFO_AREA_LABEL spGetString(SW_DISPLAY_FREQ_INFO_AREA_LABEL_ID)
#define SW_LINK_REGION_LABEL_LABEL spGetString(SW_LINK_REGION_LABEL_LABEL_ID)
#define SW_ERASE_LABEL_PROMPT_LABEL spGetString(SW_ERASE_LABEL_PROMPT_LABEL_ID)
#define SW_LOAD_DEFAULT_LABEL_LABEL spGetString(SW_LOAD_DEFAULT_LABEL_LABEL_ID)
#define SW_DEFAULT_LABEL_SUFFIX_LABEL spGetString(SW_DEFAULT_LABEL_SUFFIX_LABEL_ID)
    
#define SW_AUTOSAVE_DIR_LABEL spGetString(SW_AUTOSAVE_DIR_LABEL_ID)
#define SW_AUTOSAVE_ID_PREFIX_LABEL spGetString(SW_AUTOSAVE_ID_PREFIX_LABEL_ID)
#define SW_AUTOSAVE_ID_TYPE_LABEL spGetString(SW_AUTOSAVE_ID_TYPE_LABEL_ID)
#define SW_AUTOSAVE_LABEL_SUFFIX_LABEL spGetString(SW_AUTOSAVE_LABEL_SUFFIX_LABEL_ID)
#define SW_AUTOSAVE_LABEL_FULLPATH_LABEL spGetString(SW_AUTOSAVE_LABEL_FULLPATH_LABEL_ID)
#define SW_AUTOSAVE_DROP_LABEL spGetString(SW_AUTOSAVE_DROP_LABEL_ID)

#define SW_MENU_LABEL_LABEL spGetString(SW_MENU_LABEL_LABEL_ID)
#define SW_MENU_OPEN_LABEL_LABEL spGetString(SW_MENU_OPEN_LABEL_LABEL_ID)
#define SW_MENU_SAVE_LABEL_LABEL spGetString(SW_MENU_SAVE_LABEL_LABEL_ID)
#define SW_MENU_SAVE_AS_LABEL_LABEL spGetString(SW_MENU_SAVE_AS_LABEL_LABEL_ID)
#define SW_MENU_CLEAR_LABEL_LABEL spGetString(SW_MENU_CLEAR_LABEL_LABEL_ID)
#define SW_MENU_OPEN_REGION_LABEL_LABEL spGetString(SW_MENU_OPEN_REGION_LABEL_LABEL_ID)
#define SW_MENU_SAVE_REGION_LABEL_LABEL spGetString(SW_MENU_SAVE_REGION_LABEL_LABEL_ID)
#define SW_MENU_SAVE_AS_REGION_LABEL_LABEL spGetString(SW_MENU_SAVE_AS_REGION_LABEL_LABEL_ID)
#define SW_MENU_CLEAR_REGION_LABEL_LABEL spGetString(SW_MENU_CLEAR_REGION_LABEL_LABEL_ID)

#define SW_MENU_INSERT_SIMPLE_LABEL_LABEL spGetString(SW_MENU_INSERT_SIMPLE_LABEL_LABEL_ID)
#define SW_MENU_INSERT_VALUE_LABEL_LABEL spGetString(SW_MENU_INSERT_VALUE_LABEL_LABEL_ID)
#define SW_MENU_INSERT_LABEL_LABEL spGetString(SW_MENU_INSERT_LABEL_LABEL_ID)
#define SW_MENU_CHANGE_LABEL_LABEL spGetString(SW_MENU_CHANGE_LABEL_LABEL_ID)
#define SW_MENU_ERASE_LABEL_LABEL spGetString(SW_MENU_ERASE_LABEL_LABEL_ID)
#define SW_MENU_ERASE_LABEL_REGION_LABEL spGetString(SW_MENU_ERASE_LABEL_REGION_LABEL_ID)
#define SW_MENU_SELECT_BETWEEN_LABELS_LABEL spGetString(SW_MENU_SELECT_BETWEEN_LABELS_LABEL_ID)
#define SW_MENU_SET_REGION_LABEL_LABEL spGetString(SW_MENU_SET_REGION_LABEL_LABEL_ID)
#define SW_MENU_SET_REGION_LABEL_AS_REGION_LABEL spGetString(SW_MENU_SET_REGION_LABEL_AS_REGION_LABEL_ID)
#define SW_MENU_CAT_REGION_LABELS_LABEL spGetString(SW_MENU_CAT_REGION_LABELS_LABEL_ID)
#define SW_MENU_DIVIDE_REGION_LABEL_LABEL spGetString(SW_MENU_DIVIDE_REGION_LABEL_LABEL_ID)
    
#define SW_LABEL_DIALOG_TITLE spGetString(SW_LABEL_DIALOG_TITLE_ID)
#define SW_LABEL_DIALOG_TIME_LABEL spGetString(SW_LABEL_DIALOG_TIME_LABEL_ID)
#define SW_LABEL_DIALOG_END_TIME_LABEL spGetString(SW_LABEL_DIALOG_END_TIME_LABEL_ID)
#define SW_LABEL_DIALOG_DATA_LABEL spGetString(SW_LABEL_DIALOG_DATA_LABEL_ID)
#define SW_LABEL_DIALOG_SYMBOL_LABEL spGetString(SW_LABEL_DIALOG_SYMBOL_LABEL_ID)
#define SW_LABEL_DIALOG_CHANNEL_LABEL spGetString(SW_LABEL_DIALOG_CHANNEL_LABEL_ID)
    
#define SW_MENU_ANALYSIS_PREFERENCE_LABEL spGetString(SW_MENU_ANALYSIS_PREFERENCE_LABEL_ID)
#define SW_MENU_ANALYSIS_LABEL spGetString(SW_MENU_ANALYSIS_LABEL_ID)
#define SW_MENU_ANALYSIS_REGION_LABEL spGetString(SW_MENU_ANALYSIS_REGION_LABEL_ID)
#define SW_MENU_ANALYSIS_WIDE_LABEL spGetString(SW_MENU_ANALYSIS_WIDE_LABEL_ID)
#define SW_MENU_ANALYSIS_NARROW_LABEL spGetString(SW_MENU_ANALYSIS_NARROW_LABEL_ID)

#define SW_ANALYSIS_DIALOG_TITLE spGetString(SW_ANALYSIS_DIALOG_TITLE_ID)
#define SW_ANALYSIS_PARAMETER_LABEL spGetString(SW_ANALYSIS_PARAMETER_LABEL_ID)
#define SW_ANALYSIS_TYPE_LABEL spGetString(SW_ANALYSIS_TYPE_LABEL_ID)
#define SW_ANALYSIS_WINDOW_TYPE_LABEL spGetString(SW_ANALYSIS_WINDOW_TYPE_LABEL_ID)
#define SW_ANALYSIS_FFT_LENGTH_LABEL spGetString(SW_ANALYSIS_FFT_LENGTH_LABEL_ID)
#define SW_ANALYSIS_MAX_FFT_LENGTH_LABEL spGetString(SW_ANALYSIS_MAX_FFT_LENGTH_LABEL_ID)
#define SW_ANALYSIS_LIFTER_LABEL spGetString(SW_ANALYSIS_LIFTER_LABEL_ID)
#define SW_ANALYSIS_ATTRIBUTE_LABEL spGetString(SW_ANALYSIS_ATTRIBUTE_LABEL_ID)
#define SW_ANALYSIS_NEW_WINDOW_LABEL spGetString(SW_ANALYSIS_NEW_WINDOW_LABEL_ID)
#define SW_ANALYSIS_LINEAR_SPECTRUM_LABEL spGetString(SW_ANALYSIS_LINEAR_SPECTRUM_LABEL_ID)
#define SW_ANALYSIS_NORMALIZE_SPECTRUM_LABEL spGetString(SW_ANALYSIS_NORMALIZE_SPECTRUM_LABEL_ID)
#define SW_ANALYSIS_NORMALIZE_SPECTRUM_MAX_LABEL spGetString(SW_ANALYSIS_NORMALIZE_SPECTRUM_MAX_LABEL_ID)
    
#define SW_SPECTROGRAM_DIALOG_TITLE spGetString(SW_SPECTROGRAM_DIALOG_TITLE_ID)
#define SW_SPECTROGRAM_RANGE_LABEL spGetString(SW_SPECTROGRAM_RANGE_LABEL_ID)
#define SW_SPECTROGRAM_LIMIT_THRESHOLD_LABEL spGetString(SW_SPECTROGRAM_LIMIT_THRESHOLD_LABEL_ID)
#define SW_SPECTROGRAM_SIMPLIFIED_LABEL spGetString(SW_SPECTROGRAM_SIMPLIFIED_LABEL_ID)
#define SW_SPECTROGRAM_GRAY_SCALE_LABEL spGetString(SW_SPECTROGRAM_GRAY_SCALE_LABEL_ID)
    
#define SW_OPTION_DIALOG_TITLE spGetString(SW_OPTION_DIALOG_TITLE_ID)

#define SW_INFO_DIALOG_TITLE spGetString(SW_INFO_DIALOG_TITLE_ID)
#define SW_INFO_DIALOG_TITLE_LABEL spGetString(SW_INFO_DIALOG_TITLE_LABEL_ID)
#define SW_INFO_DIALOG_ARTIST_LABEL spGetString(SW_INFO_DIALOG_ARTIST_LABEL_ID)
#define SW_INFO_DIALOG_ALBUM_LABEL spGetString(SW_INFO_DIALOG_ALBUM_LABEL_ID)
#define SW_INFO_DIALOG_ALBUM_ARTIST_LABEL spGetString(SW_INFO_DIALOG_ALBUM_ARTIST_LABEL_ID)
#define SW_INFO_DIALOG_COMPOSER_LABEL spGetString(SW_INFO_DIALOG_COMPOSER_LABEL_ID)
#define SW_INFO_DIALOG_LYRICIST_LABEL spGetString(SW_INFO_DIALOG_LYRICIST_LABEL_ID)
#define SW_INFO_DIALOG_GENRE_LABEL spGetString(SW_INFO_DIALOG_GENRE_LABEL_ID)
#define SW_INFO_DIALOG_ID3_VERSION_LABEL spGetString(SW_INFO_DIALOG_ID3_VERSION_LABEL_ID)
#define SW_INFO_DIALOG_RELEASE_LABEL spGetString(SW_INFO_DIALOG_RELEASE_LABEL_ID)
#define SW_INFO_DIALOG_TEMPO_LABEL spGetString(SW_INFO_DIALOG_TEMPO_LABEL_ID)
#define SW_INFO_DIALOG_TRACK_LABEL spGetString(SW_INFO_DIALOG_TRACK_LABEL_ID)
#define SW_INFO_DIALOG_TRACK_TOTAL_LABEL spGetString(SW_INFO_DIALOG_TRACK_TOTAL_LABEL_ID)
#define SW_INFO_DIALOG_DISC_LABEL spGetString(SW_INFO_DIALOG_DISC_LABEL_ID)
#define SW_INFO_DIALOG_DISC_TOTAL_LABEL spGetString(SW_INFO_DIALOG_DISC_TOTAL_LABEL_ID)
#define SW_INFO_DIALOG_COPYRIGHT_LABEL spGetString(SW_INFO_DIALOG_COPYRIGHT_LABEL_ID)
#define SW_INFO_DIALOG_PRODUCER_LABEL spGetString(SW_INFO_DIALOG_PRODUCER_LABEL_ID)
#define SW_INFO_DIALOG_ENGINEER_LABEL spGetString(SW_INFO_DIALOG_ENGINEER_LABEL_ID)
#define SW_INFO_DIALOG_SOURCE_LABEL spGetString(SW_INFO_DIALOG_SOURCE_LABEL_ID)
#define SW_INFO_DIALOG_ISRC_LABEL spGetString(SW_INFO_DIALOG_ISRC_LABEL_ID)
#define SW_INFO_DIALOG_SOFTWARE_LABEL spGetString(SW_INFO_DIALOG_SOFTWARE_LABEL_ID)
#define SW_INFO_DIALOG_SUBJECT_LABEL spGetString(SW_INFO_DIALOG_SUBJECT_LABEL_ID)
#define SW_INFO_DIALOG_COMMENT_LABEL spGetString(SW_INFO_DIALOG_COMMENT_LABEL_ID)
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SWSTRINGDEFS_H */
